## vnstat 1.4

=== Makefile ===
# bin, man and cron dirs
BIN = $(DESTDIR)/usr/bin
MAN = $(DESTDIR)/usr/share/man
CRON = $(DESTDIR)/etc/cron.d

vnstat:
	+make -C src vnstat

64bit:
	+make -C src 64bit

single:
	+make -C src single

64bitsingle:
	+make -C src 64bitsingle

clean:
	make -C src clean

install:
	@echo "Installing vnStat..."

	@if [ -d $(DESTDIR)/var/spool/vnstat ]; then echo "Moving old database(s) to new location..."; mv -f $(DESTDIR)/var/spool/vnstat $(DESTDIR)/var/lib/; fi

	@if [ -x $(DESTDIR)/usr/local/bin/vnstat ]; then echo "Removing old binary..."; rm -f $(DESTDIR)/usr/local/bin/vnstat; fi

	@if [ -d $(DESTDIR)/etc/ppp/ip-up.d ]; then echo "Installing ppp/ip-up script"; cp -f pppd/vnstat_ip-up $(DESTDIR)/etc/ppp/ip-up.d/vnstat; fi
	@if [ -d $(DESTDIR)/etc/ppp/ip-down.d ]; then echo "Installing ppp/ip-down script"; cp -f pppd/vnstat_ip-down $(DESTDIR)/etc/ppp/ip-down.d/vnstat; fi

	install -d $(BIN) $(MAN)/man1 $(CRON) $(DESTDIR)/var/lib/vnstat
	install -m 755 src/vnstat $(BIN)
	install -m 644 man/vnstat.1 $(MAN)/man1
	install -m 644 cron/vnstat $(CRON)

uninstall:
	@echo "Uninstalling vnStat..."
	@echo
	@echo "Note: this will remove the database directory"
	@echo "including any database located there"
	@echo
	@echo "Press CTRL-C to abort within 10 sec."
	@sleep 10
	rm -fr $(DESTDIR)/var/lib/vnstat
	rm -f $(BIN)/vnstat
	rm -f $(MAN)/man1/vnstat.1
	rm -f $(CRON)/vnstat
	rm -f $(DESTDIR)/etc/ppp/ip-up.d/vnstat
	rm -f $(DESTDIR)/etc/ppp/ip-down.d/vnstat

=== src/Makefile ===
CC = gcc
CFLAGS = -O2
OBJS = proc.o db.o misc.o
OBJS64 = proc64.o db.o misc.o

default: vnstat

vnstat: $(OBJS) vnstat.c vnstat.h
	$(CC) $(CFLAGS) -o vnstat vnstat.c $(OBJS)

64bit: $(OBJS64) vnstat.c vnstat.h
	$(CC) $(CFLAGS) -o vnstat vnstat.c $(OBJS64) -DBLIMIT

single: $(OBJS) vnstat.c vnstat.h
	$(CC) $(CFLAGS) -o vnstat vnstat.c $(OBJS) -DSINGLE

64bitsingle: $(OBJS64) vnstat.c vnstat.h
	$(CC) $(CFLAGS) -o vnstat vnstat.c $(OBJS64) -DSINGLE -DBLIMIT

proc.o: proc.c proc.h vnstat.h db.h
	$(CC) $(CFLAGS) -c proc.c

proc64.o: proc.c proc.h vnstat.h db.h
	$(CC) $(CFLAGS) -c proc.c -o proc64.o -DBLIMIT

db.o: db.c db.h proc.h vnstat.h
	$(CC) $(CFLAGS) -c db.c

misc.o: misc.c misc.h
	$(CC) $(CFLAGS) -c misc.c

clean:
	rm -f *.o *~ core *.i vnstat

## vnstat 1.6

=== Makefile ===
# bin, man and cron dirs
BIN = $(DESTDIR)/usr/bin
MAN = $(DESTDIR)/usr/share/man
CRON = $(DESTDIR)/etc/cron.d

vnstat:
	+make -C src vnstat

clean:
	make -C src clean

install:
	@echo "Installing vnStat..."

# move some really old version database(s) if found
	@if [ -d $(DESTDIR)/var/spool/vnstat ]; \
	then echo "Moving old database(s) to new location..."; \
	mv -f $(DESTDIR)/var/spool/vnstat $(DESTDIR)/var/lib/; \
	fi

# remove some really old version binary if found
	@if [ -x $(DESTDIR)/usr/local/bin/vnstat ]; \
	then echo "Removing old binary..."; \
	rm -f $(DESTDIR)/usr/local/bin/vnstat; \
	fi

# install ppp scripts if directory is found
	@if [ -d $(DESTDIR)/etc/ppp/ip-up.d ]; \
	then echo "Installing ppp/ip-up script"; \
	cp -f pppd/vnstat_ip-up $(DESTDIR)/etc/ppp/ip-up.d/vnstat; \
	chmod 755 $(DESTDIR)/etc/ppp/ip-up.d/vnstat; \
	fi
	@if [ -d $(DESTDIR)/etc/ppp/ip-down.d ]; \
	then echo "Installing ppp/ip-down script"; \
	cp -f pppd/vnstat_ip-down $(DESTDIR)/etc/ppp/ip-down.d/vnstat; \
	chmod 755 $(DESTDIR)/etc/ppp/ip-down.d/vnstat; \
	fi

# install default config if such doesn't exist
	@if [ ! -f $(DESTDIR)/etc/vnstat.conf ]; \
	then install -m 644 cfg/vnstat.conf $(DESTDIR)/etc; \
	fi

	install -d $(BIN) $(MAN)/man1 $(CRON) $(DESTDIR)/var/lib/vnstat
	install -s -m 755 src/vnstat $(BIN)

# update man page, gzip it if previous version was done so	
	@if [ -f $(MAN)/man1/vnstat.1.gz ]; \
	then install -m 644 man/vnstat.1 $(MAN)/man1; \
	gzip -f9 $(MAN)/man1/vnstat.1; \
	else install -m 644 man/vnstat.1 $(MAN)/man1; \
	fi

	install -m 644 cron/vnstat $(CRON)

uninstall:
	@echo "Uninstalling vnStat..."
	@echo
	@echo "Note: this will also remove the database directory"
	@echo "including any database located there"
	@echo
	@echo "Press CTRL-C to abort within 10 sec."
	@sleep 10
	rm -fr $(DESTDIR)/var/lib/vnstat
	rm -f $(BIN)/vnstat
	rm -f $(MAN)/man1/vnstat.1*
	rm -f $(CRON)/vnstat
	rm -f $(DESTDIR)/etc/vnstat.conf
	rm -f $(DESTDIR)/etc/ppp/ip-up.d/vnstat
	rm -f $(DESTDIR)/etc/ppp/ip-down.d/vnstat

=== src/Makefile ===
CC = gcc
CFLAGS = -O2
OBJS = ifinfo.o db.o dbaccess.o misc.o cfg.o

default: vnstat

vnstat: $(OBJS) vnstat.c vnstat.h
	$(CC) $(CFLAGS) -lm -o vnstat vnstat.c $(OBJS)

ifinfo.o: ifinfo.c ifinfo.h vnstat.h db.h misc.h cfg.h
	$(CC) $(CFLAGS) -c ifinfo.c

db.o: db.c db.h dbaccess.h ifinfo.h misc.h vnstat.h
	$(CC) $(CFLAGS) -c db.c

dbaccess.o: dbaccess.c dbaccess.h vnstat.h
	$(CC) $(CFLAGS) -c dbaccess.c

misc.o: misc.c misc.h vnstat.h
	$(CC) $(CFLAGS) -c misc.c

cfg.o: cfg.c cfg.h
	$(CC) $(CFLAGS) -c cfg.c

clean:
	rm -f *.o *~ core *.i vnstat

## vnstat 1.10

=== Makefile ===
# bin and man dirs for Linux
BIN = $(DESTDIR)/usr/bin
SBIN = $(DESTDIR)/usr/sbin
MAN = $(DESTDIR)/usr/share/man

# bin and man dirs for *BSD
BIN_BSD = $(DESTDIR)/usr/local/bin
SBIN_BSD = $(DESTDIR)/usr/local/sbin
MAN_BSD = $(DESTDIR)/usr/local/man

default: vnstat

vnstat:
	+make -C src

all:
	+make -C src all

clean:
	make -C src clean

install:
	@echo "Installing vnStat..."

# check that system is really Linux
	@if [ `uname` != "Linux" ]; \
	then echo "This isn't a Linux system. Maybe 'make bsdinstall' is what you need?"; \
	false; \
	fi

# check that there's something to install
	@if [ ! -f "src/vnstat" ] || [ ! -f "src/vnstatd" ]; \
	then echo "Nothing to install, run make first."; \
	false; \
	fi

# move some really old version database(s) if found
	@if [ -d "$(DESTDIR)/var/spool/vnstat" ]; \
	then echo "Moving old database(s) to new location..."; \
	mv -f $(DESTDIR)/var/spool/vnstat $(DESTDIR)/var/lib/; \
	fi

# remove some really old version binary if found
	@if [ -x "$(DESTDIR)/usr/local/bin/vnstat" ]; \
	then echo "Removing old binary..."; \
	rm -f $(DESTDIR)/usr/local/bin/vnstat; \
	fi

# install default config if such doesn't exist
	@if [ ! -f "$(DESTDIR)/etc/vnstat.conf" ]; \
	then echo "Installing config to $(DESTDIR)/etc/vnstat.conf"; \
	install -D -m 644 cfg/vnstat.conf $(DESTDIR)/etc/vnstat.conf; \
	fi

# install everything else
	install -d -m 755 $(BIN) $(SBIN) $(MAN)/man1 $(MAN)/man5 $(DESTDIR)/var/lib/vnstat
	install -s -m 755 src/vnstat $(BIN)
	install -s -m 755 src/vnstatd $(SBIN)
	@if [ -f "src/vnstati" ]; \
	then echo install -s -m 755 src/vnstati $(BIN); \
	install -s -m 755 src/vnstati $(BIN); \
	fi

# update man pages, gzip it if previous version was done so	
	install -m 644 man/vnstat.1 $(MAN)/man1
	install -m 644 man/vnstatd.1 $(MAN)/man1
	install -m 644 man/vnstat.conf.5 $(MAN)/man5
	@if [ -f "src/vnstati" ]; \
	then echo install -m 644 man/vnstati.1 $(MAN)/man1; \
	install -m 644 man/vnstati.1 $(MAN)/man1; \
	fi
	
	@if [ -f $(MAN)/man1/vnstat.1.gz ]; \
	then gzip -f9 $(MAN)/man1/vnstat.1; \
	gzip -f9 $(MAN)/man1/vnstatd.1; \
	gzip -f9 $(MAN)/man5/vnstat.conf.5; \
	if [ -f "src/vnstati" ]; \
	then gzip -f9 $(MAN)/man1/vnstati.1; \
	fi; \
	fi

# remove vnstat.conf.1 is such exists in the wrong place
	@if [ -f $(MAN)/man1/vnstat.conf.1.gz ]; \
	then rm -f $(MAN)/man1/vnstat.conf.1.gz; \
	fi
	@if [ -f $(MAN)/man1/vnstat.conf.1 ]; \
	then rm -f $(MAN)/man1/vnstat.conf.1; \
	fi

	@echo " "
	@echo "No startup script or cron entry has been installed. See the"
	@echo "INSTALL document for instructions on how to enable vnStat."

uninstall:
	@echo "Uninstalling vnStat..."
	@echo
	@echo "Note: this will also remove the database directory"
	@echo "including any database located there."
	@echo
	@echo "Press CTRL-C within 10 seconds to abort."
	@sleep 10
	rm -fr $(DESTDIR)/var/lib/vnstat
	rm -f $(BIN)/vnstat
	rm -f $(BIN)/vnstati
	rm -f $(SBIN)/vnstatd
	rm -f $(MAN)/man1/vnstat*
	rm -f $(MAN)/man5/vnstat*
	rm -f $(DESTDIR)/etc/cron.d/vnstat
	rm -f $(DESTDIR)/etc/vnstat.conf
	rm -f $(DESTDIR)/etc/ppp/ip-up.d/vnstat
	rm -f $(DESTDIR)/etc/ppp/ip-down.d/vnstat

bsdinstall:
	@echo "Installing vnStat (BSD)..."

# check that system isn't Linux
	@if [ `uname` = "Linux" ]; \
	then echo "This is a Linux system. You shouldn't be using 'bsdinstall'"; \
	false; \
	fi

# check that there's something to install
	@if [ ! -f "src/vnstat" ] || [ ! -f "src/vnstatd" ]; \
	then echo "Nothing to install, run make first."; \
	false; \
	fi

# install binaries
	install -dm 755 $(DESTDIR)/var/db/vnstat
	install -s -m 755 src/vnstat $(BIN_BSD)
	install -s -m 755 src/vnstatd $(SBIN_BSD)

	@if [ -f "src/vnstati" ]; \
	then echo install -s -m 755 src/vnstati $(BIN_BSD); \
	install -s -m 755 src/vnstati $(BIN_BSD); \
	fi

# install default config if such doesn't exist
	@if [ ! -f $(DESTDIR)/etc/vnstat.conf ]; \
	then echo "Installing config to $(DESTDIR)/etc/vnstat.conf"; \
	install -D -m 644 cfg/vnstat.conf $(DESTDIR)/etc/vnstat.conf; \
	sed -e 's/lib/db/g' $(DESTDIR)/etc/vnstat.conf >$(DESTDIR)/etc/vnstat.conf.bsd; \
	mv -f $(DESTDIR)/etc/vnstat.conf.bsd $(DESTDIR)/etc/vnstat.conf; \
	fi

# update man page	
	install -m 644 man/vnstat.1 $(MAN_BSD)/man1
	install -m 644 man/vnstatd.1 $(MAN_BSD)/man1
	install -m 644 man/vnstat.conf.5 $(MAN_BSD)/man5
	gzip -f9 $(MAN_BSD)/man1/vnstat.1
	gzip -f9 $(MAN_BSD)/man1/vnstatd.1
	gzip -f9 $(MAN_BSD)/man5/vnstat.conf.5
	@if [ -f "src/vnstati" ]; \
	then echo install -m 644 man/vnstati.1 $(MAN_BSD)/man1; \
	install -m 644 man/vnstati.1 $(MAN_BSD)/man1; \
	echo gzip -f9 $(MAN_BSD)/man1/vnstati.1; \
	gzip -f9 $(MAN_BSD)/man1/vnstati.1; \
	fi

# remove vnstat.conf.1 is such exists in the wrong place
	@if [ -f $(MAN_BSD)/man1/vnstat.conf.1.gz ]; \
	then rm -f $(MAN_BSD)/man1/vnstat.conf.1.gz; \
	fi
	@if [ -f $(MAN_BSD)/man1/vnstat.conf.1 ]; \
	then rm -f $(MAN_BSD)/man1/vnstat.conf.1; \
	fi

	@echo " "
	@echo "No startup script or cron entry has been installed. See the"
	@echo "INSTALL_BSD document for instructions on how to enable vnStat."

bsduninstall:
	@echo "Uninstalling vnStat (BSD)..."
	@echo
	@echo "Note: this will also remove the database directory"
	@echo "including any database located there."
	@echo
	@echo "Press CTRL-C within 10 seconds to abort."
	@sleep 10
	rm -fr $(DESTDIR)/var/db/vnstat
	rm -f $(BIN_BSD)/vnstat
	rm -f $(BIN_BSD)/vnstati
	rm -f $(SBIN_BSD)/vnstatd
	rm -f $(MAN_BSD)/man1/vnstat*
	rm -f $(MAN_BSD)/man5/vnstat*
	rm -f $(DESTDIR)/etc/vnstat.conf
	@echo "A possible cron entry needs to be removed manually if such exists."

=== debian/changelog ===
vnstat (1.10-1) unstable; urgency=low

  * New maintainer.
  * Ack non-maintainer uploads.
  * debian/control:
    - Bump Standards-Version to 3.8.4; no changes required.
  * Update debian/copyright to machine-readable format
    (http://dep.debian.net/deps/dep5/).
  * Rewrite debian/rules.
  * Switch to 3.0 (quilt) source format.

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 20 Apr 2010 16:52:54 +0100

vnstat (1.10-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #561297)
    + Fix manpages - present options and elements in alphabetical order.
      (Closes: #561304)
  * debian/patches:
    + refreshed fix_manpages.diff
  * debian/README.source:
    + add it because policy requires it.
  * debian/control:
    + Add ${misc:Depends} to Depends to remove lintian warning.
  * Update copyright information.

 -- Ilya Pravdivtsev <kabus1917@gmail.com>  Tue, 19 Jan 2010 00:06:14 +0300

vnstat (1.9-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    + Fix vnstat collects data from the wrong interface. (Closes: #512566)
    + Cron entry is no longer used. (Closes: #338818)
  * debian/patches:
    + updated to new version.
    + added fix_manpages.diff to remove lintian warnings
      "manpage-has-bad-whatis-entry".
  * debian/control:
    + remove Vcs-* fields.
    + added libgd2-xpm-dev to build-depends.
  * Standards-Version was bumped to 3.8.3
  * Upgrading package to debhelper 7.
  * Add package for vnstati.
  * Cron script replaced by init script.
  * Remove /etc/network/if-*.d/vnstat and /etc/ppp/ip-*.d/vnstat in preinst.
    These scripts aren't needed when the daemon is used.

 -- Ilya Pravdivtsev <kabus1917@gmail.com>  Mon, 28 Sep 2009 07:24:51 +0400

vnstat (1.6-1) unstable; urgency=low

  * New upstream release. (Closes: #456407)
    + Fix vnstat does not show any traffic. (Closes: #372943)
    + Fix 64-bit kernel produces "not enough data yet".
      (Closes: #300671)
    + Fix rx value not parsed if interface name is longer than 6
      characters. (Closes: #443168)
    + Fix impossibly large spikes of traffic. (Closes: #317350)
  * Switch from dpatch to quilt.
    + Create debian_build_system.diff by refreshing
      old 01_debian_build_system.dpatch.
    + Remove no longer needed 02_fix_manpage.dpatch.
  * Bump Standards-Version to 3.7.3.
  * Add the Homepage field and remove it from the long description.
  * Add the Vcs-Git/Vcs-Browser fields.
  * Add the DM-Upload-Allowed field.
  * Fix lintian warning "debian-rules-ignores-make-clean-error
    line 33".

 -- Aurélien GÉRÔME <ag@roxor.cx>  Tue, 05 Feb 2008 13:55:32 +0100

vnstat (1.4-4) unstable; urgency=low

  * New maintainer. (Closes: #394800)
  * Conform to policy by using "-Wall -g -O2" as CFLAGS.
  * Add dpatch support.
  * Add debian/watch file.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Mon, 23 Oct 2006 15:05:16 +0200

vnstat (1.4-3) unstable; urgency=low

  * QA Upload.
  * ACK NMU (Closes: #336168).
  * Set maintainer to Debian QA Group.
  * Set debhelper compatibility to 5.
  * Set Standards-Version to 3.7.2.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 23 Oct 2006 18:29:53 +1000

vnstat (1.4-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build on any architecture (Closes: #336168).

 -- Luk Claes <luk@debian.org>  Sun, 29 Jan 2006 10:11:49 +0100

vnstat (1.4-2) unstable; urgency=low

  * Minor script enhancements (Closes: #240341)

 -- Teemu Toivola <vergo@humdi.net>  Wed,  9 Jun 2004 12:29:28 +0300

vnstat (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Teemu Toivola <vergo@humdi.net>  Fri, 26 Mar 2004 22:29:11 +0200

vnstat (1.3-1) unstable; urgency=low

  * Initial Release.

 -- Teemu Toivola <vergo@humdi.net>  Tue, 16 Mar 2004 00:10:54 +0200

=== debian/control ===
Source: vnstat
Section: net
Priority: optional
Maintainer: Iulian Udrea <iulian@ubuntu.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), libgd2-xpm-dev
Standards-Version: 3.8.4
Homepage: http://humdi.net/vnstat/

Package: vnstat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: vnstati
Description: console-based network traffic monitor
 vnStat is a network traffic monitor for Linux. It keeps a log of
 daily network traffic for the selected interface(s). vnStat is not
 a packet sniffer. The traffic information is analyzed from the /proc
 filesystem, so vnStat can be used without root permissions.

Package: vnstati
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vnstat (= ${binary:Version})
Description: image output support for vnStat
 vnStati provides image output support for statistics collected using
 vnStat. The image file format is limited to png. All basic outputs
 of vnStat are supported excluding live traffic features.
 The image can be outputted either to a file or to standard output.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

## vnstat 1.11

=== Makefile ===
--- 
+++ 
@@ -126,7 +126,7 @@
 	fi
 
 # install binaries
-	install -dm 755 $(DESTDIR)/var/db/vnstat
+	install -d -m 755 $(DESTDIR)/var/db/vnstat
 	install -s -m 755 src/vnstat $(BIN_BSD)
 	install -s -m 755 src/vnstatd $(SBIN_BSD)
 
@@ -138,7 +138,8 @@
 # install default config if such doesn't exist
 	@if [ ! -f $(DESTDIR)/etc/vnstat.conf ]; \
 	then echo "Installing config to $(DESTDIR)/etc/vnstat.conf"; \
-	install -D -m 644 cfg/vnstat.conf $(DESTDIR)/etc/vnstat.conf; \
+	install -d -m 755 $(DESTDIR)/etc; \
+	install -m 644 cfg/vnstat.conf $(DESTDIR)/etc/vnstat.conf; \
 	sed -e 's/lib/db/g' $(DESTDIR)/etc/vnstat.conf >$(DESTDIR)/etc/vnstat.conf.bsd; \
 	mv -f $(DESTDIR)/etc/vnstat.conf.bsd $(DESTDIR)/etc/vnstat.conf; \
 	fi

=== src/Makefile ===
CC = gcc
CFLAGS = -O2
LDLIBS = -lm
OBJS = vnstat.o ifinfo.o dbxml.o dbshow.o dbaccess.o dbmerge.o common.o misc.o cfg.o traffic.o
DOBJS = vnstatd.o ifinfo.o dbaccess.o dbcache.o common.o misc.o cfg.o
IOBJS = vnstati.o image.o dbaccess.o dbmerge.o common.o misc.o cfg.o

default: vnstat vnstatd

all: vnstat vnstatd vnstati

vnstat: $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LDLIBS) -o vnstat
vnstatd: $(DOBJS)
	$(CC) $(LDFLAGS) $(DOBJS) $(LDLIBS) -o vnstatd
vnstati: $(IOBJS)
	$(CC) $(LDFLAGS) $(IOBJS) $(LDLIBS) -lgd -o vnstati

vnstat.o: vnstat.c vnstat.h common.h ifinfo.h traffic.h dbxml.h dbshow.h dbaccess.h dbmerge.h misc.h cfg.h
vnstatd.o: vnstatd.c vnstatd.h common.h ifinfo.h dbaccess.h dbcache.h misc.h cfg.h
vnstati.o: vnstati.c vnstati.h common.h image.h cfg.h dbaccess.h dbmerge.h

ifinfo.o: ifinfo.c ifinfo.h common.h dbaccess.h misc.h cfg.h
traffic.o: traffic.c traffic.h common.h ifinfo.h misc.h
dbxml.o: dbxml.c dbxml.h common.h
dbshow.o: dbshow.c dbshow.h misc.h common.h
dbaccess.o: dbaccess.c dbaccess.h common.h
dbmerge.o: dbmerge.c dbmerge.h dbaccess.h common.h
dbcache.o: dbcache.c dbcache.h dbaccess.h common.h ifinfo.h
common.o: common.c common.h
misc.o: misc.c misc.h common.h
cfg.o: cfg.c cfg.h common.h
image.o: image.c image.h vnstati.h common.h misc.h

clean:
	rm -f *.o *~ core *.i vnstat vnstatd vnstati

=== debian/changelog ===
vnstat (1.11-2) unstable; urgency=low

  * Adopt the package. (Closes: #632840)
  * Make sure all build flags are passed to the compiler.
    - Switch to debhelper compat level 9.
    - Update debian_build_system.diff
  * Drop unnecessary changes to Makefile in debian_build_system.diff.
  * Enable parallel building.
  * Pass --fail-missing to dh_install.
  * Add Vcs control fields.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Drop vnstat.preinst as upgrades from version 1.6 aren't supported anymore.
  * Run the vnstat daemon as its own user.
    - Create the new user and chown the database in postinst.
    - Add pidfile_path.diff to update the pid file path in the config file.
  * Build-depend on libgd-dev instead of libgd2-xpm-dev.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 02 Jun 2013 21:34:53 +0200

vnstat (1.11-1) unstable; urgency=low

  * QA upload.
  * Upload to unstable.
  * New upstream release.
  * debian/patches/adapt_to_kfreebsd.diff:
    - Removed, applied upstream.
  * debian/patches/debian_build_system.diff,
    debian/patches/fix_manpages.diff:
    - Refresh patches for new upstream release.
  * debian/control:
    - Set Maintainer to Debian QA group.
    - Remove DMUA field.
    - Remove Vcs-* fields.
    - Bump Standards-Version to 3.9.2; no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 23 Jul 2011 17:02:51 +0200

vnstat (1.10-2) experimental; urgency=low

  * Update debian/copyright.
  * debian/control: add Vcs-* fields.
  * Enable functionality for GNU/kFreeBSD.  Thanks to Mats Erik Andersson
    <mats.andersson@gisladisker.se> for the patch.  Closes: #608963
  * Bump Standards-Version to 3.9.1; no changes required.

 -- Iulian Udrea <iulian@ubuntu.com>  Wed, 05 Jan 2011 12:48:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: vnstat
 Section: net
 Priority: optional
-Maintainer: Iulian Udrea <iulian@ubuntu.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), libgd2-xpm-dev
-Standards-Version: 3.8.4
+Maintainer: Felix Geyer <fgeyer@debian.org>
+Build-Depends: debhelper (>= 9), libgd-dev
+Standards-Version: 3.9.4
 Homepage: http://humdi.net/vnstat/
+Vcs-Git: git://anonscm.debian.org/collab-maint/vnstat.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vnstat.git
 
 Package: vnstat
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Suggests: vnstati
 Description: console-based network traffic monitor
  vnStat is a network traffic monitor for Linux. It keeps a log of

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- all

override_dh_install:
	dh_install --fail-missing

## vnstat 1.12

=== Makefile ===
--- 
+++ 
@@ -8,16 +8,27 @@
 SBIN_BSD = $(DESTDIR)/usr/local/sbin
 MAN_BSD = $(DESTDIR)/usr/local/man
 
+.PHONY: vnstat tests check all clean debug install uninstall bsdinstall bsduninstall dist
+
 default: vnstat
 
 vnstat:
-	+make -C src
+	$(MAKE) -C src
+
+tests:
+	$(MAKE) -C tests
+
+check: tests
 
 all:
-	+make -C src all
+	$(MAKE) -C src all
 
 clean:
-	make -C src clean
+	$(MAKE) -C src clean
+	$(MAKE) -C tests clean
+
+debug:
+	$(MAKE) CFLAGS='-Wall -Wextra -g' -C src all
 
 install:
 	@echo "Installing vnStat..."
@@ -49,11 +60,12 @@
 # install default config if such doesn't exist
 	@if [ ! -f "$(DESTDIR)/etc/vnstat.conf" ]; \
 	then echo "Installing config to $(DESTDIR)/etc/vnstat.conf"; \
-	install -D -m 644 cfg/vnstat.conf $(DESTDIR)/etc/vnstat.conf; \
+	install -d -m 755 $(DESTDIR)/etc; \
+	install -m 644 cfg/vnstat.conf $(DESTDIR)/etc/vnstat.conf; \
 	fi
 
 # install everything else
-	install -d -m 755 $(BIN) $(SBIN) $(MAN)/man1 $(MAN)/man5 $(DESTDIR)/var/lib/vnstat
+	install -d -m 755 $(BIN) $(SBIN) $(MAN)/man1 $(MAN)/man5
 	install -s -m 755 src/vnstat $(BIN)
 	install -s -m 755 src/vnstatd $(SBIN)
 	@if [ -f "src/vnstati" ]; \
@@ -70,7 +82,7 @@
 	install -m 644 man/vnstati.1 $(MAN)/man1; \
 	fi
 	
-	@if [ -f $(MAN)/man1/vnstat.1.gz ]; \
+	@if [ -f "$(MAN)/man1/vnstat.1.gz" ]; \
 	then gzip -f9 $(MAN)/man1/vnstat.1; \
 	gzip -f9 $(MAN)/man1/vnstatd.1; \
 	gzip -f9 $(MAN)/man5/vnstat.conf.5; \
@@ -80,15 +92,15 @@
 	fi
 
 # remove vnstat.conf.1 is such exists in the wrong place
-	@if [ -f $(MAN)/man1/vnstat.conf.1.gz ]; \
+	@if [ -f "$(MAN)/man1/vnstat.conf.1.gz" ]; \
 	then rm -f $(MAN)/man1/vnstat.conf.1.gz; \
 	fi
-	@if [ -f $(MAN)/man1/vnstat.conf.1 ]; \
+	@if [ -f "$(MAN)/man1/vnstat.conf.1" ]; \
 	then rm -f $(MAN)/man1/vnstat.conf.1; \
 	fi
 
 	@echo " "
-	@echo "No startup script or cron entry has been installed. See the"
+	@echo "No service file or startup script has been installed. See the"
 	@echo "INSTALL document for instructions on how to enable vnStat."
 
 uninstall:
@@ -136,7 +148,7 @@
 	fi
 
 # install default config if such doesn't exist
-	@if [ ! -f $(DESTDIR)/etc/vnstat.conf ]; \
+	@if [ ! -f "$(DESTDIR)/etc/vnstat.conf" ]; \
 	then echo "Installing config to $(DESTDIR)/etc/vnstat.conf"; \
 	install -d -m 755 $(DESTDIR)/etc; \
 	install -m 644 cfg/vnstat.conf $(DESTDIR)/etc/vnstat.conf; \
@@ -159,15 +171,15 @@
 	fi
 
 # remove vnstat.conf.1 is such exists in the wrong place
-	@if [ -f $(MAN_BSD)/man1/vnstat.conf.1.gz ]; \
+	@if [ -f "$(MAN_BSD)/man1/vnstat.conf.1.gz" ]; \
 	then rm -f $(MAN_BSD)/man1/vnstat.conf.1.gz; \
 	fi
-	@if [ -f $(MAN_BSD)/man1/vnstat.conf.1 ]; \
+	@if [ -f "$(MAN_BSD)/man1/vnstat.conf.1" ]; \
 	then rm -f $(MAN_BSD)/man1/vnstat.conf.1; \
 	fi
 
 	@echo " "
-	@echo "No startup script or cron entry has been installed. See the"
+	@echo "No service file or startup script has been installed. See the"
 	@echo "INSTALL_BSD document for instructions on how to enable vnStat."
 
 bsduninstall:
@@ -186,3 +198,14 @@
 	rm -f $(MAN_BSD)/man5/vnstat*
 	rm -f $(DESTDIR)/etc/vnstat.conf
 	@echo "A possible cron entry needs to be removed manually if such exists."
+
+dist: clean
+	$(eval VER := $(shell grep VNSTATVERSION src/common.h | cut -d\" -f2 | sed 's: :_:g'))
+	@echo
+	@echo "Packaging $(VER)..."
+	@rm -fr "../vnstat-$(VER).tar.gz" "../vnstat-$(VER)"
+	@mkdir "../vnstat-$(VER)"
+	@cp -ax * "../vnstat-$(VER)/"
+	@fakeroot tar zcf "../vnstat-$(VER).tar.gz" "../vnstat-$(VER)"
+	@rm -fr "../vnstat-$(VER)"
+	@ls -l "../vnstat-$(VER).tar.gz"

=== src/Makefile ===
ifeq "$(origin CC)" "default"
CC = gcc
endif
CFLAGS ?= -O2
LDLIBS = -lm
OBJS = vnstat.o ifinfo.o dbxml.o dbshow.o dbaccess.o dbmerge.o common.o misc.o cfg.o traffic.o
DOBJS = vnstatd.o ifinfo.o dbaccess.o dbcache.o common.o misc.o cfg.o daemon.o
IOBJS = vnstati.o image.o dbaccess.o dbmerge.o common.o misc.o cfg.o

default: vnstat vnstatd

all: vnstat vnstatd vnstati

vnstat: $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LDLIBS) -o vnstat
vnstatd: $(DOBJS)
	$(CC) $(LDFLAGS) $(DOBJS) $(LDLIBS) -o vnstatd
vnstati: $(IOBJS)
	$(CC) $(LDFLAGS) $(IOBJS) $(LDLIBS) -lgd -o vnstati

vnstat.o: vnstat.c vnstat.h common.h ifinfo.h traffic.h dbxml.h dbshow.h dbaccess.h dbmerge.h misc.h cfg.h
vnstatd.o: vnstatd.c vnstatd.h common.h dbcache.h cfg.h daemon.h
vnstati.o: vnstati.c vnstati.h common.h image.h cfg.h dbaccess.h dbmerge.h

ifinfo.o: ifinfo.c ifinfo.h common.h dbaccess.h misc.h cfg.h
traffic.o: traffic.c traffic.h common.h ifinfo.h misc.h
dbxml.o: dbxml.c dbxml.h common.h
dbshow.o: dbshow.c dbshow.h misc.h common.h
dbaccess.o: dbaccess.c dbaccess.h common.h
dbmerge.o: dbmerge.c dbmerge.h dbaccess.h common.h
dbcache.o: dbcache.c dbcache.h dbaccess.h common.h ifinfo.h cfg.h
common.o: common.c common.h
misc.o: misc.c misc.h common.h
cfg.o: cfg.c cfg.h common.h
daemon.o: daemon.c daemon.h common.h ifinfo.h dbaccess.h dbcache.h misc.h cfg.h
image.o: image.c image.h vnstati.h common.h misc.h

clean:
	rm -f *.o *~ core *.i vnstat vnstatd vnstati

=== debian/changelog ===
vnstat (1.12-2) unstable; urgency=medium

  * Fix test failures on non-linux architectures.
    - Add tests_root_group.diff

 -- Felix Geyer <fgeyer@debian.org>  Sat, 06 Sep 2014 11:15:07 +0200

vnstat (1.12-1) unstable; urgency=low

  * New upstream release.
    - Fix: Live traffic meter occasionally showing higher minimum than average
      in end statistics. (Closes: #687812)
    - Fix: Setting locale when none is specified in config. (Closes: #606397)
  * Refresh patches.
  * Build-depend on check for the new test suite.
  * Install the upstream systemd service file. (Closes: #635751)
    - Add systemd_user.diff to run vnstatd as user vnstat like the init script
      does.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 03 Sep 2014 22:55:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 9), libgd-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libgd-dev, check, dh-systemd (>= 1.4)
+Standards-Version: 3.9.5
 Homepage: http://humdi.net/vnstat/
 Vcs-Git: git://anonscm.debian.org/collab-maint/vnstat.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vnstat.git

## vnstat 1.14

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
 # bin and man dirs for Linux
-BIN = $(DESTDIR)/usr/bin
-SBIN = $(DESTDIR)/usr/sbin
-MAN = $(DESTDIR)/usr/share/man
+BIN ?= $(DESTDIR)/usr/bin
+SBIN ?= $(DESTDIR)/usr/sbin
+MAN ?= $(DESTDIR)/usr/share/man
+ETC ?= $(DESTDIR)/etc/
 
 # bin and man dirs for *BSD
-BIN_BSD = $(DESTDIR)/usr/local/bin
-SBIN_BSD = $(DESTDIR)/usr/local/sbin
-MAN_BSD = $(DESTDIR)/usr/local/man
+BIN_BSD ?= $(DESTDIR)/usr/local/bin
+SBIN_BSD ?= $(DESTDIR)/usr/local/sbin
+MAN_BSD ?= $(DESTDIR)/usr/local/man
+ETC_BSD ?= $(DESTDIR)/etc
 
 .PHONY: vnstat tests check all clean debug install uninstall bsdinstall bsduninstall dist
 
@@ -58,10 +60,10 @@
 	fi
 
 # install default config if such doesn't exist
-	@if [ ! -f "$(DESTDIR)/etc/vnstat.conf" ]; \
-	then echo "Installing config to $(DESTDIR)/etc/vnstat.conf"; \
-	install -d -m 755 $(DESTDIR)/etc; \
-	install -m 644 cfg/vnstat.conf $(DESTDIR)/etc/vnstat.conf; \
+	@if [ ! -f "$(ETC)/vnstat.conf" ]; \
+	then echo "Installing config to $(ETC)/vnstat.conf"; \
+	install -d -m 755 $(ETC); \
+	install -m 644 cfg/vnstat.conf $(ETC)/vnstat.conf; \
 	fi
 
 # install everything else
@@ -81,7 +83,7 @@
 	then echo install -m 644 man/vnstati.1 $(MAN)/man1; \
 	install -m 644 man/vnstati.1 $(MAN)/man1; \
 	fi
-	
+
 	@if [ -f "$(MAN)/man1/vnstat.1.gz" ]; \
 	then gzip -f9 $(MAN)/man1/vnstat.1; \
 	gzip -f9 $(MAN)/man1/vnstatd.1; \
@@ -118,7 +120,7 @@
 	rm -f $(MAN)/man1/vnstat*
 	rm -f $(MAN)/man5/vnstat*
 	rm -f $(DESTDIR)/etc/cron.d/vnstat
-	rm -f $(DESTDIR)/etc/vnstat.conf
+	rm -f $(ETC)/vnstat.conf
 	rm -f $(DESTDIR)/etc/ppp/ip-up.d/vnstat
 	rm -f $(DESTDIR)/etc/ppp/ip-down.d/vnstat
 
@@ -148,15 +150,19 @@
 	fi
 
 # install default config if such doesn't exist
-	@if [ ! -f "$(DESTDIR)/etc/vnstat.conf" ]; \
-	then echo "Installing config to $(DESTDIR)/etc/vnstat.conf"; \
-	install -d -m 755 $(DESTDIR)/etc; \
-	install -m 644 cfg/vnstat.conf $(DESTDIR)/etc/vnstat.conf; \
-	sed -e 's/lib/db/g' $(DESTDIR)/etc/vnstat.conf >$(DESTDIR)/etc/vnstat.conf.bsd; \
-	mv -f $(DESTDIR)/etc/vnstat.conf.bsd $(DESTDIR)/etc/vnstat.conf; \
-	fi
-
-# update man page	
+	@if [ ! -f "$(ETC_BSD)/vnstat.conf" ]; \
+	then echo "Installing config to $(ETC_BSD)/vnstat.conf"; \
+	install -d -m 755 $(ETC_BSD); \
+	install -m 644 cfg/vnstat.conf $(ETC_BSD)/vnstat.conf; \
+	sed -e 's:/lib/:/db/:g' $(ETC_BSD)/vnstat.conf >$(ETC_BSD)/vnstat.conf.bsd; \
+	mv -f $(ETC_BSD)/vnstat.conf.bsd $(ETC_BSD)/vnstat.conf; \
+	fi
+
+# update man page
+	for m in vnstat.1 vnstati.1 vnstatd.1 vnstat.conf.5; do \
+	sed -e 's:/lib/:/db/:g' man/$$m > man/$$m.tmp; \
+	mv -f man/$$m.tmp man/$$m; \
+	done
 	install -m 644 man/vnstat.1 $(MAN_BSD)/man1
 	install -m 644 man/vnstatd.1 $(MAN_BSD)/man1
 	install -m 644 man/vnstat.conf.5 $(MAN_BSD)/man5
@@ -196,7 +202,7 @@
 	rm -f $(SBIN_BSD)/vnstatd
 	rm -f $(MAN_BSD)/man1/vnstat*
 	rm -f $(MAN_BSD)/man5/vnstat*
-	rm -f $(DESTDIR)/etc/vnstat.conf
+	rm -f $(ETC_BSD)/vnstat.conf
 	@echo "A possible cron entry needs to be removed manually if such exists."
 
 dist: clean

=== src/Makefile ===
ifeq "$(origin CC)" "default"
CC = gcc
endif
CFLAGS ?= -O2
LDLIBS = -lm
OBJS = vnstat.o ifinfo.o dbxml.o dbjson.o dbshow.o dbaccess.o dbmerge.o common.o misc.o cfg.o ibw.o traffic.o
DOBJS = vnstatd.o ifinfo.o dbaccess.o dbcache.o common.o misc.o cfg.o ibw.o daemon.o
IOBJS = vnstati.o image.o dbaccess.o dbmerge.o common.o misc.o cfg.o

default: vnstat vnstatd

all: vnstat vnstatd vnstati

vnstat: $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LDLIBS) -o vnstat
vnstatd: $(DOBJS)
	$(CC) $(LDFLAGS) $(DOBJS) $(LDLIBS) -o vnstatd
vnstati: $(IOBJS)
	$(CC) $(LDFLAGS) $(IOBJS) $(LDLIBS) -lgd -o vnstati

vnstat.o: vnstat.c vnstat.h common.h ifinfo.h traffic.h dbxml.h dbjson.h dbshow.h dbaccess.h dbmerge.h misc.h cfg.h
vnstatd.o: vnstatd.c vnstatd.h common.h dbcache.h cfg.h daemon.h
vnstati.o: vnstati.c vnstati.h common.h image.h cfg.h dbaccess.h dbmerge.h

ifinfo.o: ifinfo.c ifinfo.h common.h dbaccess.h misc.h cfg.h ibw.h
traffic.o: traffic.c traffic.h common.h ifinfo.h misc.h
dbxml.o: dbxml.c dbxml.h common.h
dbjson.o: dbjson.c dbjson.h common.h
dbshow.o: dbshow.c dbshow.h misc.h common.h
dbaccess.o: dbaccess.c dbaccess.h common.h
dbmerge.o: dbmerge.c dbmerge.h dbaccess.h common.h
dbcache.o: dbcache.c dbcache.h dbaccess.h common.h ifinfo.h cfg.h ibw.h
common.o: common.c common.h
misc.o: misc.c misc.h common.h
cfg.o: cfg.c cfg.h common.h
ibw.o: ibw.c ibw.h cfg.h ifinfo.h common.h
daemon.o: daemon.c daemon.h common.h ifinfo.h dbaccess.h dbcache.h misc.h cfg.h ibw.h
image.o: image.c image.h vnstati.h common.h misc.h

clean:
	rm -f *.o *~ core *.i vnstat vnstatd vnstati

=== tests/Makefile ===
ifeq "$(origin CC)" "default"
CC = gcc
endif
CFLAGS ?= -Wall -Wextra -g
CFLAGS += -DPROCNETDEV=\"testdir/proc/dev\" -DSYSCLASSNET=\"testdir/sysclassnet\"
LDLIBS = -lm -lcheck -lrt -lpthread
OBJS = vnstat_tests.o common_tests.o database_tests.o config_tests.o ifinfo_tests.o misc_tests.o daemon_tests.o
OBJS += common.o ifinfo.o dbshow.o dbaccess.o dbcache.o cfg.o ibw.o misc.o daemon.o

vpath %.c ../src
vpath %.h ../src
CFLAGS += -I../src

default: runtests

runtests: vnstat_tests
	./vnstat_tests

profile: CFLAGS += -fprofile-arcs -ftest-coverage
profile: LDLIBS += -fprofile-arcs -ftest-coverage
profile: runtests
	lcov -c -d $(PWD) -o coverage.lcov
	genhtml coverage.lcov --num-spaces 4 -p $(shell dirname $(PWD)) -o coverage

vnstat_tests: $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LDLIBS) -o vnstat_tests

vnstat_tests.o: vnstat_tests.c vnstat_tests.h common_tests.h database_tests.h common.h
common_tests.o: common_tests.c common_tests.h vnstat_tests.h common.h dbaccess.h cfg.h
database_tests.o: database_tests.c database_tests.h vnstat_tests.h common.h ifinfo.h dbaccess.h dbcache.h dbshow.h cfg.h ibw.h
config_tests.o: config_tests.c config_tests.h vnstat_tests.h common.h cfg.h ibw.h
ifinfo_tests.o: ifinfo_tests.c ifinfo_tests.h vnstat_tests.h common.h ifinfo.h dbaccess.h misc.h cfg.h ibw.h
misc_tests.o: misc_tests.c misc_tests.h vnstat_tests.h common.h misc.h
daemon_tests.o: daemon_tests.c daemon_tests.h common.h dbaccess.h dbcache.h cfg.h daemon.h

common.o: common.c common.h
ifinfo.o: ifinfo.c ifinfo.h common.h dbaccess.h misc.h cfg.h ibw.h
dbaccess.o: dbaccess.c dbaccess.h common.h
dbcache.o: dbcache.c dbcache.h dbaccess.h common.h ifinfo.h cfg.h ibw.h
dbshow.o: dbshow.c dbshow.h misc.h common.h
cfg.o: cfg.c cfg.h common.h
ibw.o: ibw.c ibw.h cfg.h ifinfo.h common.h
misc.o: misc.c misc.h common.h
daemon.o: daemon.c daemon.h common.h ifinfo.h dbaccess.h dbcache.h misc.h cfg.h ibw.h

clean:
	rm -fr *.o *~ core *.i *.gc* test.log test.xml *.lcov coverage vnstat_tests testdir

=== debian/changelog ===
vnstat (1.14-1ubuntu2) xenial; urgency=medium

  * Revert removal of patch from series, now that we have a sufficient version of
    check. This package can be synced when there's a new version in Debian.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 05 Dec 2015 17:43:09 -0500

vnstat (1.14-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Remove link_subunit.diff from series, as it won't be necessary until we
      have check (>= 0.10.0-1).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 22 Nov 2015 17:40:53 -0500

vnstat (1.14-1) unstable; urgency=medium

  * New upstream release.
    - Auto-detects max. bandwidth of interfaces. (Closes: #804868)
  * Drop patches that have been applied upstream:
    - fix_manpages.diff
    - tests_root_group.diff
  * Refrsh debian_build_system.diff.
  * Link against subunit to fix building of the tests.
    - Add link_subunit.diff

 -- Felix Geyer <fgeyer@debian.org>  Sun, 22 Nov 2015 11:28:51 +0100

vnstat (1.12-2.1ubuntu1) xenial; urgency=medium

  * Remove subunit.patch from series, as it won't be necessary until we have
    check (>= 0.10.0-1).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Nov 2015 20:12:55 -0500

vnstat (1.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: undefined reference to `subunit_test_error'":
    add patch from Mathieu Malaterre: link against subunit.
    (Closes: #799822)

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Oct 2015 20:45:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vnstat
 Section: net
 Priority: optional
-Maintainer: Felix Geyer <fgeyer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Felix Geyer <fgeyer@debian.org>
 Build-Depends: debhelper (>= 9), libgd-dev, check, dh-systemd (>= 1.4)
 Standards-Version: 3.9.5
 Homepage: http://humdi.net/vnstat/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with systemd

override_dh_auto_build:
	dh_auto_build -- all

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
http://humdi.net/vnstat/vnstat-(.*)\.tar\.gz

## vnstat 1.15

=== debian/changelog ===
vnstat (1.15-2) unstable; urgency=medium

  * Fix Makefile install-data-hook dependency. (Closes: #859712)
    - Add install-ordering.diff, thanks to Adrian Bunk.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 09 Apr 2017 18:27:14 +0200

vnstat (1.15-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches that are not needed anymore:
    - debian_build_system.diff
    - link_subunit.diff
  * Add missing dependency on lsb-release.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 20 Oct 2016 21:08:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: vnstat
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 9), libgd-dev, check, dh-systemd (>= 1.4)
+Maintainer: Felix Geyer <fgeyer@debian.org>
+Build-Depends: debhelper (>= 9), libgd-dev, check, dh-systemd (>= 1.4), dh-autoreconf | debhelper (>= 9.20160403~)
 Standards-Version: 3.9.5
 Homepage: http://humdi.net/vnstat/
-Vcs-Git: git://anonscm.debian.org/collab-maint/vnstat.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vnstat.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/vnstat.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/vnstat.git
 
 Package: vnstat
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base
 Suggests: vnstati
 Description: console-based network traffic monitor
  vnStat is a network traffic monitor for Linux. It keeps a log of

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with systemd,autoreconf

override_dh_auto_build:
	dh_auto_build -- all

override_dh_install:
	dh_install --fail-missing

## vnstat 1.18

=== debian/changelog ===
vnstat (1.18-2) unstable; urgency=medium

  * d/tests: fix daily test by using lo interface
  * d/control: move vcs to salsa
  * d/control: update standard version and add Rules-Requires-Root no

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 21 Aug 2018 18:25:17 +0200

vnstat (1.18-1) unstable; urgency=medium

  * New upstream version 1.18

  * debian/
    - vnstat.service: add 3s timeout for auto-restart (Closes: #814542)
    - patches/
      + rebase and drop upstream applied ones
      + (hopefully) fix kfreebsd build warning
    - bump to compat level 11 and standards version 4.1.3
    - watch: switch to github url for encrypted connection
             and check signature
    - vnstat.postinst: do not run chown recursively (thanks to Lintian)
    - upstream/metadata: supply minimal metadata
    - debian/control: use https url for project homepage

 -- Christian Göttsche <cgzones@googlemail.com>  Sun, 04 Mar 2018 21:34:00 +0100

vnstat (1.17-1) unstable; urgency=medium

  * New upstream version 1.17 (Closes: #872709)

  * debian/
    - compat: Switch to compat level 10
    - control
      + Set myself as maintainer, many thanks to Felix Geyer for his work
        (Closes: #874387)
      + Bump Standards-Version to 4.1.1
      + Update Build-Depends
    - copyright: format according to
      https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
    - examples: add systemd timer examples
    - gbp.conf: Add configuration
    - patches/
      + Rebase
      + Drop install-ordering, applied upstream
      + Add spelling patch, based on lintian findings
      + add patches for kFreeBSB implicit function declaration
    - postinst: remove version dependency
    - postrm: delete state directory and daemon user upon purge
    - rules
      + Update for compat level 10
      + Enable hardening
      + Add standard c warnings
    - tests/: Add minimal autopkgtest suite
    - vnstat.service: Use proper hook for systemd service

 -- Christian Göttsche <cgzones@googlemail.com>  Fri, 06 Oct 2017 17:38:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: vnstat
 Section: net
 Priority: optional
-Maintainer: Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 9), libgd-dev, check, dh-systemd (>= 1.4), dh-autoreconf | debhelper (>= 9.20160403~)
-Standards-Version: 3.9.5
-Homepage: http://humdi.net/vnstat/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/vnstat.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/vnstat.git
+Maintainer: Christian Göttsche <cgzones@googlemail.com>
+Build-Depends: debhelper (>= 11), libgd-dev, check
+Standards-Version: 4.2.0
+Rules-Requires-Root: no
+Homepage: https://humdi.net/vnstat/
+Vcs-Git: https://salsa.debian.org/cgzones-guest/vnstat.git
+Vcs-Browser: https://salsa.debian.org/cgzones-guest/vnstat
 
 Package: vnstat
 Architecture: any
@@ -26,4 +27,3 @@
  vnStat. The image file format is limited to png. All basic outputs
  of vnStat are supported excluding live traffic features.
  The image can be outputted either to a file or to standard output.
-

=== debian/tests/control ===
Tests: version, loopback
Depends: @

## vnstat 2.6

=== debian/changelog ===
vnstat (2.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Christian Göttsche ]
  * debian: run wrap-and-sort
  * d/control: bump to std version 4.5.1 (no further changes)
  * d/patches: cherry-pick fitting upstream commits for Bullseye

 -- Christian Göttsche <cgzones@googlemail.com>  Sun, 27 Dec 2020 16:37:39 +0100

vnstat (2.6-2) unstable; urgency=medium

  [ Rob Savoury ]
  * d/control: update uploader (Rob Savoury) email address

  [ Christian Göttsche ]
  * d/rules: enable lto/ipo
  * debian: use link instead of systemd alias for service vnstatd
  * debian: switch to debhelper compat level 13
  * d/patches: add patch removing compatibility setting ReadWritePaths
  * d/upstream/metadata: add field Bug-Database
  * d/patches: harden systemd service
  * d/patches: cherry-pick upstream commit to error early on
               unsupported architectures

 -- Christian Göttsche <cgzones@googlemail.com>  Thu, 28 May 2020 16:39:00 +0200

vnstat (2.6-1) unstable; urgency=medium

  * New upstream version 2.6

  * d/control:
    - move vcs to shared salsa/debian repository
    - add Rob Savoury to maintainer team
    - use dephelper-compat dependency instead of d/compat
    - bump to std version 4.5.0 (no further changes)
  * d/salsa-ci.yml: add standard salsa-ci configuration
  * d/copyright: fix artifact, use https and bump to 2020
  * d/postrm: ignore userdel failure
  * d/patches:
    - rebase to v2.6 and drop upstream applied ones
    - handle all occurrences of /var/run in pidfile patch
    - add patch to fix salsa-ci reprotest

 -- Christian Göttsche <cgzones@googlemail.com>  Mon, 20 Jan 2020 23:39:33 +0100

vnstat (2.4-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add d/patches/use-sleep-in-test to work around a failing
    test, observed on s390x and hppa, but can happen anywhere.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 06 Sep 2019 21:43:24 +0200

vnstat (2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 2.4
    - Image output has been refactored since 1.x versions (Closes: #692330)
    - Single database file avoids issue with new interfaces (Closes: #749019)
    - There is no "--create" interface option in vnstat 2.x (Closes: #881811)
    - Daemon in 2.x handles operations for if-up/down events (Closes: #722534)
    - Daemon in 2.x automatically populates vnstat database (Closes: #668969)
    - Better handling of integer rollover in kernel traffic counters including
      auto-adjust of UpdateInterval based on MaxBandwidth (Closes: #804131)

  * debian/
    - control: bump to Standards version 4.4.0 and compat level 12
      + add libsqlite3-dev build dependency (vnstat 2.x requirement)
      + add Pre-Depends ${misc:Pre-Depends} for vnstat package (Lintian)
    - patches/
      + drop timeout patch (fixed upstream) and rebase pidfile/systemd patches
      + add systemd_man.diff to fix vnstatd man path due file move upstream
    - tests/
      + remove loopback test due no "--create" option with vnstat 2.x
      + add fulltest using similar commands upstream uses for build tests
    - copyright: update entries for maintainers in debian/* files paragraph
                 and change upstream email to the correct current address
    - vnstat.install: change vnstatd man path to reflect upstream change

 -- Rob Savoury <savourytech@use.startmail.com>  Sun, 01 Sep 2019 10:09:33 -0700

vnstat (1.18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Changes by Christian Göttsche
    - d/tests: run as root to fix debci (Closes: #907020)
    - d/control: bump to std version 4.2.1 (no further changes)

 -- Teemu Toivola <tst@iki.fi>  Tue, 23 Jul 2019 00:47:18 +0300

=== debian/control ===
Source: vnstat
Section: net
Priority: optional
Maintainer: Christian Göttsche <cgzones@googlemail.com>
Uploaders: Rob Savoury <savoury@savos.tech>
Build-Depends: check, debhelper-compat (= 13), libgd-dev, libsqlite3-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://humdi.net/vnstat/
Vcs-Git: https://salsa.debian.org/debian/vnstat.git
Vcs-Browser: https://salsa.debian.org/debian/vnstat

Package: vnstat
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser, lsb-base, ${misc:Depends}, ${shlibs:Depends}
Suggests: vnstati
Description: console-based network traffic monitor
 vnStat is a network traffic monitor for Linux. It keeps a log of
 daily network traffic for the selected interface(s). vnStat is not
 a packet sniffer. The traffic information is analyzed from the /proc
 filesystem, so vnStat can be used without root permissions.

Package: vnstati
Architecture: any
Depends: vnstat (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: image output support for vnStat
 vnStati provides image output support for statistics collected using
 vnStat. The image file format is limited to png. All basic outputs
 of vnStat are supported excluding live traffic features.
 The image can be outputted either to a file or to standard output.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -flto -Wall -Wextra
export DEB_LDFLAGS_MAINT_APPEND = -flto

%:
	dh $@

=== debian/tests/control ===
Tests: version, fulltest
Depends: @
Restrictions: needs-root

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" https://github.com/vergoh/vnstat/releases \
    /vergoh/vnstat/releases/download/[^/]+/vnstat-([0-9.]+)\.tar\.gz
